For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList generation sessions
      • POSTCreate a generation session
      • GETGet session details
      • DELDelete a generation session
      • PATCHUpdate a generation session
      • POSTAppend an event to a session
Dashboard
LogoLogo
Runtype APIProduct Generation

Create a generation session

POST
/v1/products/generation/sessions
POST
/v1/products/generation/sessions
$curl -X POST https://api.runtype.com/v1/products/generation/sessions \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "catalogVersion": "1.0",
> "prd": {
> "description": "An AI-powered customer support product",
> "title": "AI Customer Support"
> },
> "schemaVersion": "1.0"
>}'
1{
2 "assemblyState": {},
3 "catalogVersion": "string",
4 "createdAt": "string",
5 "expiresAt": "string",
6 "id": "string",
7 "organizationId": "string",
8 "plan": {},
9 "prd": {},
10 "productObject": {},
11 "productObjectHash": "string",
12 "schemaVersion": "string",
13 "status": "intake",
14 "updatedAt": "string",
15 "userId": "string"
16}

Creates a new product generation session with an optional PRD and catalog/schema version.

Was this page helpful?
Previous

Get session details

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
catalogVersionstringOptional
prdmap from strings to anyOptional
schemaVersionstringOptional

Response

Session created
assemblyStatemap from strings to any or null
catalogVersionstring or null
createdAtstring
expiresAtstring
idstring
organizationIdstring or null
planmap from strings to any or null
prdmap from strings to any or null
productObjectmap from strings to any or null
productObjectHashstring or null
schemaVersionstring or null
statusenum
Allowed values:
updatedAtstring
userIdstring

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error